Merge from gnulib.
[bpt/emacs.git] / m4 / gl-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2011 Free Software Foundation, Inc.
3 #
4 # This file is free software, distributed under the terms of the GNU
5 # General Public License. As a special exception to the GNU General
6 # Public License, this file may be distributed as part of a program
7 # that contains a configuration script generated by Autoconf, under
8 # the same distribution terms as the rest of that program.
9 #
10 # Generated by gnulib-tool.
11 #
12 # This file represents the compiled summary of the specification in
13 # gnulib-cache.m4. It lists the computed macro invocations that need
14 # to be invoked from configure.ac.
15 # In projects that use version control, this file can be treated like
16 # other built files.
17
18
19 # This macro should be invoked from ./configure.in, in the section
20 # "Checks for programs", right after AC_PROG_CC, and certainly before
21 # any checks for libraries, header files, types and library functions.
22 AC_DEFUN([gl_EARLY],
23 [
24 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
25 m4_pattern_allow([^gl_ES$])dnl a valid locale name
26 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
27 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
28 AC_REQUIRE([gl_PROG_AR_RANLIB])
29 # Code from module alloca-opt:
30 # Code from module allocator:
31 # Code from module careadlinkat:
32 # Code from module crypto/md5:
33 # Code from module crypto/sha1:
34 # Code from module crypto/sha256:
35 # Code from module crypto/sha512:
36 # Code from module dosname:
37 # Code from module dtoastr:
38 # Code from module dup2:
39 # Code from module extensions:
40 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
41 # Code from module filemode:
42 # Code from module getloadavg:
43 # Code from module getopt-gnu:
44 # Code from module getopt-posix:
45 # Code from module gettext-h:
46 # Code from module ignore-value:
47 # Code from module include_next:
48 # Code from module intprops:
49 # Code from module inttypes-incomplete:
50 # Code from module largefile:
51 AC_REQUIRE([AC_SYS_LARGEFILE])
52 # Code from module lstat:
53 # Code from module mktime:
54 # Code from module multiarch:
55 # Code from module nocrash:
56 # Code from module pthread_sigmask:
57 # Code from module readlink:
58 # Code from module signal:
59 # Code from module sigprocmask:
60 # Code from module snippet/_Noreturn:
61 # Code from module snippet/arg-nonnull:
62 # Code from module snippet/c++defs:
63 # Code from module snippet/warn-on-use:
64 # Code from module socklen:
65 # Code from module ssize_t:
66 # Code from module stat:
67 # Code from module stdarg:
68 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
69 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
70 dnl AC_PROG_CC_STDC arranges for this. With older Autoconf AC_PROG_CC_STDC
71 dnl shouldn't hurt, though installers are on their own to set c99 mode.
72 AC_REQUIRE([AC_PROG_CC_STDC])
73 # Code from module stdbool:
74 # Code from module stddef:
75 # Code from module stdint:
76 # Code from module stdio:
77 # Code from module stdlib:
78 # Code from module strftime:
79 # Code from module strtoimax:
80 # Code from module strtoll:
81 # Code from module strtoull:
82 # Code from module strtoumax:
83 # Code from module symlink:
84 # Code from module sys_stat:
85 # Code from module time:
86 # Code from module time_r:
87 # Code from module u64:
88 # Code from module unistd:
89 # Code from module verify:
90 ])
91
92 # This macro should be invoked from ./configure.in, in the section
93 # "Check for header files, types and library functions".
94 AC_DEFUN([gl_INIT],
95 [
96 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
97 gl_cond_libtool=false
98 gl_libdeps=
99 gl_ltlibdeps=
100 gl_m4_base='m4'
101 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
102 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
103 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
104 m4_pushdef([gl_LIBSOURCES_LIST], [])
105 m4_pushdef([gl_LIBSOURCES_DIR], [])
106 gl_COMMON
107 gl_source_base='lib'
108 gl_FUNC_ALLOCA
109 AC_CHECK_FUNCS_ONCE([readlinkat])
110 gl_MD5
111 gl_SHA1
112 gl_SHA256
113 gl_SHA512
114 AC_REQUIRE([gl_C99_STRTOLD])
115 gl_FUNC_DUP2
116 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
117 AC_LIBOBJ([dup2])
118 fi
119 gl_UNISTD_MODULE_INDICATOR([dup2])
120 gl_FILEMODE
121 gl_GETLOADAVG
122 if test $HAVE_GETLOADAVG = 0; then
123 AC_LIBOBJ([getloadavg])
124 gl_PREREQ_GETLOADAVG
125 fi
126 gl_STDLIB_MODULE_INDICATOR([getloadavg])
127 gl_FUNC_GETOPT_GNU
128 if test $REPLACE_GETOPT = 1; then
129 AC_LIBOBJ([getopt])
130 AC_LIBOBJ([getopt1])
131 gl_PREREQ_GETOPT
132 fi
133 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
134 gl_FUNC_GETOPT_POSIX
135 if test $REPLACE_GETOPT = 1; then
136 AC_LIBOBJ([getopt])
137 AC_LIBOBJ([getopt1])
138 gl_PREREQ_GETOPT
139 fi
140 AC_REQUIRE([AC_C_INLINE])
141 gl_INTTYPES_INCOMPLETE
142 gl_FUNC_LSTAT
143 if test $REPLACE_LSTAT = 1; then
144 AC_LIBOBJ([lstat])
145 gl_PREREQ_LSTAT
146 fi
147 gl_SYS_STAT_MODULE_INDICATOR([lstat])
148 gl_FUNC_MKTIME
149 if test $REPLACE_MKTIME = 1; then
150 AC_LIBOBJ([mktime])
151 gl_PREREQ_MKTIME
152 fi
153 gl_TIME_MODULE_INDICATOR([mktime])
154 gl_MULTIARCH
155 gl_FUNC_PTHREAD_SIGMASK
156 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
157 AC_LIBOBJ([pthread_sigmask])
158 gl_PREREQ_PTHREAD_SIGMASK
159 fi
160 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
161 gl_FUNC_READLINK
162 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
163 AC_LIBOBJ([readlink])
164 gl_PREREQ_READLINK
165 fi
166 gl_UNISTD_MODULE_INDICATOR([readlink])
167 gl_SIGNAL_H
168 gl_TYPE_SOCKLEN_T
169 gt_TYPE_SSIZE_T
170 gl_STDARG_H
171 AM_STDBOOL_H
172 gl_STDDEF_H
173 gl_STDINT_H
174 gl_STDIO_H
175 gl_STDLIB_H
176 gl_FUNC_GNU_STRFTIME
177 gl_FUNC_STRTOIMAX
178 if test $ac_cv_func_strtoimax = no; then
179 AC_LIBOBJ([strtoimax])
180 gl_PREREQ_STRTOIMAX
181 fi
182 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
183 gl_FUNC_STRTOUMAX
184 if test $ac_cv_func_strtoumax = no; then
185 AC_LIBOBJ([strtoumax])
186 gl_PREREQ_STRTOUMAX
187 fi
188 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
189 gl_FUNC_SYMLINK
190 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
191 AC_LIBOBJ([symlink])
192 fi
193 gl_UNISTD_MODULE_INDICATOR([symlink])
194 gl_HEADER_SYS_STAT_H
195 AC_PROG_MKDIR_P
196 gl_HEADER_TIME_H
197 gl_TIME_R
198 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
199 AC_LIBOBJ([time_r])
200 gl_PREREQ_TIME_R
201 fi
202 gl_TIME_MODULE_INDICATOR([time_r])
203 AC_REQUIRE([AC_C_INLINE])
204 gl_UNISTD_H
205 gl_gnulib_enabled_dosname=false
206 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
207 gl_gnulib_enabled_sigprocmask=false
208 gl_gnulib_enabled_stat=false
209 gl_gnulib_enabled_strtoll=false
210 gl_gnulib_enabled_strtoull=false
211 gl_gnulib_enabled_verify=false
212 func_gl_gnulib_m4code_dosname ()
213 {
214 if ! $gl_gnulib_enabled_dosname; then
215 gl_gnulib_enabled_dosname=true
216 fi
217 }
218 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
219 {
220 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
221 AC_SUBST([LIBINTL])
222 AC_SUBST([LTLIBINTL])
223 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
224 fi
225 }
226 func_gl_gnulib_m4code_sigprocmask ()
227 {
228 if ! $gl_gnulib_enabled_sigprocmask; then
229 gl_SIGNALBLOCKING
230 if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
231 AC_LIBOBJ([sigprocmask])
232 gl_PREREQ_SIGPROCMASK
233 fi
234 gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
235 gl_gnulib_enabled_sigprocmask=true
236 fi
237 }
238 func_gl_gnulib_m4code_stat ()
239 {
240 if ! $gl_gnulib_enabled_stat; then
241 gl_FUNC_STAT
242 if test $REPLACE_STAT = 1; then
243 AC_LIBOBJ([stat])
244 gl_PREREQ_STAT
245 fi
246 gl_SYS_STAT_MODULE_INDICATOR([stat])
247 gl_gnulib_enabled_stat=true
248 if $condition; then
249 func_gl_gnulib_m4code_dosname
250 fi
251 if $condition; then
252 func_gl_gnulib_m4code_verify
253 fi
254 fi
255 }
256 func_gl_gnulib_m4code_strtoll ()
257 {
258 if ! $gl_gnulib_enabled_strtoll; then
259 gl_FUNC_STRTOLL
260 if test $HAVE_STRTOLL = 0; then
261 AC_LIBOBJ([strtoll])
262 gl_PREREQ_STRTOLL
263 fi
264 gl_STDLIB_MODULE_INDICATOR([strtoll])
265 gl_gnulib_enabled_strtoll=true
266 fi
267 }
268 func_gl_gnulib_m4code_strtoull ()
269 {
270 if ! $gl_gnulib_enabled_strtoull; then
271 gl_FUNC_STRTOULL
272 if test $HAVE_STRTOULL = 0; then
273 AC_LIBOBJ([strtoull])
274 gl_PREREQ_STRTOULL
275 fi
276 gl_STDLIB_MODULE_INDICATOR([strtoull])
277 gl_gnulib_enabled_strtoull=true
278 fi
279 }
280 func_gl_gnulib_m4code_verify ()
281 {
282 if ! $gl_gnulib_enabled_verify; then
283 gl_gnulib_enabled_verify=true
284 fi
285 }
286 if test $REPLACE_GETOPT = 1; then
287 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
288 fi
289 if test $REPLACE_LSTAT = 1; then
290 func_gl_gnulib_m4code_dosname
291 fi
292 if test $REPLACE_LSTAT = 1; then
293 func_gl_gnulib_m4code_stat
294 fi
295 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
296 func_gl_gnulib_m4code_sigprocmask
297 fi
298 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
299 func_gl_gnulib_m4code_stat
300 fi
301 if test $ac_cv_func_strtoimax = no; then
302 func_gl_gnulib_m4code_verify
303 fi
304 if test $ac_cv_func_strtoimax = no && test $ac_cv_type_long_long_int = yes; then
305 func_gl_gnulib_m4code_strtoll
306 fi
307 if test $ac_cv_func_strtoumax = no; then
308 func_gl_gnulib_m4code_verify
309 fi
310 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
311 func_gl_gnulib_m4code_strtoull
312 fi
313 m4_pattern_allow([^gl_GNULIB_ENABLED_])
314 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
315 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
316 AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
317 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
318 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
319 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
320 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
321 # End of code from modules
322 m4_ifval(gl_LIBSOURCES_LIST, [
323 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
324 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
325 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
326 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
327 exit 1
328 fi
329 done])dnl
330 m4_if(m4_sysval, [0], [],
331 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
332 ])
333 m4_popdef([gl_LIBSOURCES_DIR])
334 m4_popdef([gl_LIBSOURCES_LIST])
335 m4_popdef([AC_LIBSOURCES])
336 m4_popdef([AC_REPLACE_FUNCS])
337 m4_popdef([AC_LIBOBJ])
338 AC_CONFIG_COMMANDS_PRE([
339 gl_libobjs=
340 gl_ltlibobjs=
341 if test -n "$gl_LIBOBJS"; then
342 # Remove the extension.
343 sed_drop_objext='s/\.o$//;s/\.obj$//'
344 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
345 gl_libobjs="$gl_libobjs $i.$ac_objext"
346 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
347 done
348 fi
349 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
350 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
351 ])
352 gltests_libdeps=
353 gltests_ltlibdeps=
354 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
355 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
356 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
357 m4_pushdef([gltests_LIBSOURCES_LIST], [])
358 m4_pushdef([gltests_LIBSOURCES_DIR], [])
359 gl_COMMON
360 gl_source_base='tests'
361 changequote(,)dnl
362 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
363 changequote([, ])dnl
364 AC_SUBST([gltests_WITNESS])
365 gl_module_indicator_condition=$gltests_WITNESS
366 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
367 m4_pattern_allow([^gl_GNULIB_ENABLED_])
368 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
369 m4_ifval(gltests_LIBSOURCES_LIST, [
370 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
371 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
372 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
373 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
374 exit 1
375 fi
376 done])dnl
377 m4_if(m4_sysval, [0], [],
378 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
379 ])
380 m4_popdef([gltests_LIBSOURCES_DIR])
381 m4_popdef([gltests_LIBSOURCES_LIST])
382 m4_popdef([AC_LIBSOURCES])
383 m4_popdef([AC_REPLACE_FUNCS])
384 m4_popdef([AC_LIBOBJ])
385 AC_CONFIG_COMMANDS_PRE([
386 gltests_libobjs=
387 gltests_ltlibobjs=
388 if test -n "$gltests_LIBOBJS"; then
389 # Remove the extension.
390 sed_drop_objext='s/\.o$//;s/\.obj$//'
391 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
392 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
393 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
394 done
395 fi
396 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
397 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
398 ])
399 LIBGNU_LIBDEPS="$gl_libdeps"
400 AC_SUBST([LIBGNU_LIBDEPS])
401 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
402 AC_SUBST([LIBGNU_LTLIBDEPS])
403 ])
404
405 # Like AC_LIBOBJ, except that the module name goes
406 # into gl_LIBOBJS instead of into LIBOBJS.
407 AC_DEFUN([gl_LIBOBJ], [
408 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
409 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
410 ])
411
412 # Like AC_REPLACE_FUNCS, except that the module name goes
413 # into gl_LIBOBJS instead of into LIBOBJS.
414 AC_DEFUN([gl_REPLACE_FUNCS], [
415 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
416 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
417 ])
418
419 # Like AC_LIBSOURCES, except the directory where the source file is
420 # expected is derived from the gnulib-tool parameterization,
421 # and alloca is special cased (for the alloca-opt module).
422 # We could also entirely rely on EXTRA_lib..._SOURCES.
423 AC_DEFUN([gl_LIBSOURCES], [
424 m4_foreach([_gl_NAME], [$1], [
425 m4_if(_gl_NAME, [alloca.c], [], [
426 m4_define([gl_LIBSOURCES_DIR], [lib])
427 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
428 ])
429 ])
430 ])
431
432 # Like AC_LIBOBJ, except that the module name goes
433 # into gltests_LIBOBJS instead of into LIBOBJS.
434 AC_DEFUN([gltests_LIBOBJ], [
435 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
436 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
437 ])
438
439 # Like AC_REPLACE_FUNCS, except that the module name goes
440 # into gltests_LIBOBJS instead of into LIBOBJS.
441 AC_DEFUN([gltests_REPLACE_FUNCS], [
442 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
443 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
444 ])
445
446 # Like AC_LIBSOURCES, except the directory where the source file is
447 # expected is derived from the gnulib-tool parameterization,
448 # and alloca is special cased (for the alloca-opt module).
449 # We could also entirely rely on EXTRA_lib..._SOURCES.
450 AC_DEFUN([gltests_LIBSOURCES], [
451 m4_foreach([_gl_NAME], [$1], [
452 m4_if(_gl_NAME, [alloca.c], [], [
453 m4_define([gltests_LIBSOURCES_DIR], [tests])
454 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
455 ])
456 ])
457 ])
458
459 # This macro records the list of files which have been installed by
460 # gnulib-tool and may be removed by future gnulib-tool invocations.
461 AC_DEFUN([gl_FILE_LIST], [
462 build-aux/snippet/_Noreturn.h
463 build-aux/snippet/arg-nonnull.h
464 build-aux/snippet/c++defs.h
465 build-aux/snippet/warn-on-use.h
466 lib/alloca.in.h
467 lib/allocator.c
468 lib/allocator.h
469 lib/careadlinkat.c
470 lib/careadlinkat.h
471 lib/dosname.h
472 lib/dtoastr.c
473 lib/dup2.c
474 lib/filemode.c
475 lib/filemode.h
476 lib/ftoastr.c
477 lib/ftoastr.h
478 lib/getloadavg.c
479 lib/getopt.c
480 lib/getopt.in.h
481 lib/getopt1.c
482 lib/getopt_int.h
483 lib/gettext.h
484 lib/ignore-value.h
485 lib/intprops.h
486 lib/inttypes.in.h
487 lib/lstat.c
488 lib/md5.c
489 lib/md5.h
490 lib/mktime-internal.h
491 lib/mktime.c
492 lib/pthread_sigmask.c
493 lib/readlink.c
494 lib/sha1.c
495 lib/sha1.h
496 lib/sha256.c
497 lib/sha256.h
498 lib/sha512.c
499 lib/sha512.h
500 lib/signal.in.h
501 lib/sigprocmask.c
502 lib/stat.c
503 lib/stdarg.in.h
504 lib/stdbool.in.h
505 lib/stddef.in.h
506 lib/stdint.in.h
507 lib/stdio.in.h
508 lib/stdlib.in.h
509 lib/strftime.c
510 lib/strftime.h
511 lib/strtoimax.c
512 lib/strtol.c
513 lib/strtoll.c
514 lib/strtoul.c
515 lib/strtoull.c
516 lib/strtoumax.c
517 lib/symlink.c
518 lib/sys_stat.in.h
519 lib/time.in.h
520 lib/time_r.c
521 lib/u64.h
522 lib/unistd.in.h
523 lib/verify.h
524 m4/00gnulib.m4
525 m4/alloca.m4
526 m4/c-strtod.m4
527 m4/dup2.m4
528 m4/extensions.m4
529 m4/filemode.m4
530 m4/getloadavg.m4
531 m4/getopt.m4
532 m4/gnulib-common.m4
533 m4/include_next.m4
534 m4/inttypes.m4
535 m4/largefile.m4
536 m4/longlong.m4
537 m4/lstat.m4
538 m4/md5.m4
539 m4/mktime.m4
540 m4/multiarch.m4
541 m4/nocrash.m4
542 m4/pthread_sigmask.m4
543 m4/readlink.m4
544 m4/sha1.m4
545 m4/sha256.m4
546 m4/sha512.m4
547 m4/signal_h.m4
548 m4/signalblocking.m4
549 m4/socklen.m4
550 m4/ssize_t.m4
551 m4/st_dm_mode.m4
552 m4/stat.m4
553 m4/stdarg.m4
554 m4/stdbool.m4
555 m4/stddef_h.m4
556 m4/stdint.m4
557 m4/stdio_h.m4
558 m4/stdlib_h.m4
559 m4/strftime.m4
560 m4/strtoimax.m4
561 m4/strtoll.m4
562 m4/strtoull.m4
563 m4/strtoumax.m4
564 m4/symlink.m4
565 m4/sys_stat_h.m4
566 m4/time_h.m4
567 m4/time_r.m4
568 m4/tm_gmtoff.m4
569 m4/unistd_h.m4
570 m4/warn-on-use.m4
571 m4/wchar_t.m4
572 ])